﻿/*Scroll*/
md-content:not(.scrollable)::-webkit-scrollbar,
md-virtual-repeat-container:not(.scrollable) .md-virtual-repeat-scroller::-webkit-scrollbar {
    width: 0;  /* for vertical scrollbars */
    height: 0; /* for horizontal scrollbars */
    display: none;
}

/*Button*/
.md-button {
    text-transform: none;
    min-width: auto;
}

md-select-menu, md-select-menu md-content {
    max-height: 512px;
}

.md-button.left {
    border-radius: 10px 0 0 10px;
}

.md-button.middle {
    border-radius: 0;
}

.md-button.right {
    border-radius: 0 10px 10px 0;
}

/*Switch*/
md-switch.toggler:not(.md-checked) .md-bar {
    background-color: #333; /* set not selected bar color */
}

md-switch.toggler:not(.md-checked) .md-thumb {
    background-color: rgb(158,158,158); /* not selected switch color */
}

/*Input*/
md-input-container.no-errors,
md-select.no-errors,
.no-errors md-input-container {
    margin-bottom: 0;
}

md-input-container.no-floating,
md-select.no-floating,
.no-floating md-input-container {
    margin-top: 0;
}

md-slider[md-discrete].slider-score .md-sign,
md-slider[md-discrete].slider-score.md-active .md-sign {
    opacity: 1;
    -webkit-transform: translate3d(0, 40%, 0) scale(1);
    transform: translate3d(0, 40%, 0) scale(1);
    top: 50%;
    z-index: 1;
}

md-slider[md-discrete].slider-score.md-active .md-sign:after {
    opacity: 0;
}

#matchesTournaments .md-errors-spacer,
#tournaments .md-errors-spacer, 
.fastcode .md-errors-spacer {
    min-height: 0;
}

/*Autocomplete*/
.autocomplete-custom-template li {
    height: auto;
    line-height: 1;
    padding-top: 8px;
    padding-bottom: 8px;
    border-bottom: 1px solid #ffffff;
    border-bottom: 1px solid rgba(255, 255, 255, .12);
}

#searchMatch-input {
    max-width: 185px;
}

md-autocomplete {
    min-width: 100%;
}

md-autocomplete.no-errors .md-errors-spacer,
md-input-container.no-errors .md-errors-spacer{
    min-height: 0 !important;
}


.md-autocomplete-suggestions-container.md-default-theme li, .md-autocomplete-suggestions-container li,
md-select-menu md-option {
    color: inherit !important;
    z-index: 120;
}

.md-select-menu-container {
    z-index: 100;
}

/*Truncate*/
.md-truncate {
    display: block;
    max-width: 98%
}


/*Bottomsheet*/
.ticketDetails md-bottom-sheet,
md-bottom-sheet.bottom80 {
    bottom: 80px;
}

/*Tab*/
md-tabs.item-padding-0 md-tab-item {
    padding: 0;
}

md-tabs.item-padding-4 md-tab-item {
    padding: 4px;
}

md-tabs:not(.md-no-tab-content):not(.md-dynamic-height) { min-height: unset; }

md-tabs md-tabs-wrapper { margin: 0; display: flex; flex-direction: row; justify-content: space-between; }
md-tabs md-tabs-wrapper md-tabs-canvas { width: 100%; }
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper { width: 100% !important; }

/* two items */
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(3),
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(3) ~ md-tab-item {
    width: 50%;
}

/* three items */
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(4),
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(4) ~ md-tab-item {
    width: 33.3333%;
}

/* four items */
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(5),
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:first-child:nth-last-child(5) ~ md-tab-item {
    width: 25%;
}

/*Datapicker*/
#birthDateCalendar .md-datepicker-button{
    margin-left: 0;
    margin-right: 0;
    padding: 0;
    width: 24px;
}

#birthDateCalendar label{
    width: calc(100% - 58px);
}

#birthDateCalendar .md-datepicker-input-container {
    width: calc(100% - 36px);
}

#birthDateCalendar .md-datepicker-input {
    max-width: 100%;
}

#birthDateCalendar .md-input-message-animation {
    margin-left: 36px;
}

.user-menu md-list-item.md-2-line,
.user-menu md-list-item.md-2-line>.md-no-style {
    height: 48px;
    min-height: 48px;
}

.darkTheme .md-calendar-date:not(.md-disabled) .md-calendar-date-selection-indicator,
.darkTheme md-calendar-month .md-calendar-month-label,
.darkTheme md-autocomplete-parent-scope {
    color: #ffffff;
    color: rgba(255,255,255,0.87);
}


/*Virtual Repeater*/
.md-virtual-repeat-container.md-autocomplete-suggestions-container {
    z-index: 120;
}

/*Data Table*/
table.md-table.standings-table {
    table-layout: fixed;
}
table.md-table.standings-table tbody.md-body>tr.md-row, 
table.md-table.standings-table tfoot.md-foot>tr.md-row {
    height: 32px;
}

md-tabs:not(.md-no-tab-content):not(.md-dynamic-height) {
    min-height: unset;
}
.no-border{
    border:none;
}
.no-border .md-select-value{
    border: none !important;
}
md-select-menu:not(.md-overflow) md-content {
    padding: 0;
}
md-nav-bar .md-nav-bar{
    border: none;
}

.shrink-nav-menu .md-nav-bar {
    height: auto;
}

.shrink-nav-menu .md-button._md-nav-button {
    padding: 4px 8px;
}

md-menu-content{
    padding: 0;
}
.sports-header .md-subheader-inner{
    padding: 2px !important;
    padding-left:8px !important;
}